# Interface CallbackManagerInterface<U>

#### Type Parameters

- #### U

#### Hierarchy

- CallbackManagerInterface

- Defined in RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:12

#####
Index

### Methods

featureClickCallback
highlightHoverCallback
modelChangeCallback
pfvChangeCallback
pfvSelectionChangeCallback
structureViewerSelectionCallback

## Methods

### featureClickCallback

- featureClickCallback(e: RcsbFvTrackDataElementInterface): void

- #### Parameters

  - ##### e: RcsbFvTrackDataElementInterface

  #### Returns void

  - Defined in RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:14

### highlightHoverCallback

- highlightHoverCallback(selection: RcsbFvTrackDataElementInterface[]): void

- #### Parameters

  - ##### selection: RcsbFvTrackDataElementInterface[]

  #### Returns void

  - Defined in RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:15

### modelChangeCallback

- modelChangeCallback(defaultAuthId?: string, defaultOperatorName?: string): Promise<void>

- #### Parameters

  - ##### `Optional` defaultAuthId: string

  - ##### `Optional` defaultOperatorName: string

  #### Returns Promise<void>

  - Defined in RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:17

### pfvChangeCallback

- pfvChangeCallback(args: U): Promise<void>

- #### Parameters

  - ##### args: U

  #### Returns Promise<void>

  - Defined in RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:18

### pfvSelectionChangeCallback

- pfvSelectionChangeCallback(selection: RcsbFvTrackDataElementInterface[]): void

- #### Parameters

  - ##### selection: RcsbFvTrackDataElementInterface[]

  #### Returns void

  - Defined in RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:16

### structureViewerSelectionCallback

- structureViewerSelectionCallback(mode: "select" | "hover"): Promise<void>

- #### Parameters

  - ##### mode: "select" | "hover"

  #### Returns Promise<void>

  - Defined in RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:13

Generated using TypeDoc